Name: qt1x
Summary: Compatibility shared library for the Qt GUI toolkit
Version: 1.44
Release: 4
Source: ftp://ftp.troll.no/qt/source/qt-%{version}.tar.gz
Patch0: qt-1.44-enablegif.patch
URL: http://www.troll.no
Copyright: distributable
Group: System Environment/Libraries
Buildroot: /var/tmp/%{name}-buildroot
Prereq: /sbin/ldconfig

%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and
maintaining GUI (graphical user interface) applications for X Windows.

This library provides backwards compatibility for those applications
linked against Qt 1.x.  For more information about Qt, see the new
Qt version 2 packages.

%package devel
Summary: Compatibility development files for Qt GUI toolkit
Group: Development/Libraries

%description devel
Contains the files necessary to compile applications using Qt 1.x.  This
library is compiled for backwards compatibility with legacy applications 
only; new applications should be compiled against Qt version 2 or later.

%prep
%setup -q -n qt-%{version}
%patch -p1 -b .enablegif
rm src/kernel/qt_gif.h.enablegif

%build
QTDIR=`/bin/pwd` export QTDIR
make linux-g++-shared
make -C src/moc
cp src/moc/moc bin/moc
make -C src
cd extensions/imageio/src
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt-1.44/{bin,include,lib}

cp lib/libqt.so.%{version} $RPM_BUILD_ROOT/usr/lib/qt-1.44/lib
ln -sf libqt.so.%{version} $RPM_BUILD_ROOT/usr/lib/qt-1.44/lib/libqt.so.1
ln -sf libqt.so.1 $RPM_BUILD_ROOT/usr/lib/qt-1.44/lib/libqt.so
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/qt-1.44/lib/libqt.so*

cp lib/libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib/qt-1.44/lib
ln -sf libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib/qt-1.44/lib/libqimgio.so.0
ln -sf libqimgio.so.0 $RPM_BUILD_ROOT/usr/lib/qt-1.44/lib/libqimgio.so
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/qt-1.44/lib/libqimgio.so*

cp include/* $RPM_BUILD_ROOT/usr/lib/qt-1.44/include
cp bin/* $RPM_BUILD_ROOT/usr/lib/qt-1.44/bin

make -C tutorial clean
make -C examples clean
find examples -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'
find tutorial -name Makefiel | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep '^/usr/lib/qt-1.44/lib$' /etc/ld.so.conf > /dev/null 2>&1; then
  echo "/usr/lib/qt-1.44/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
  grep -v '^/usr/lib/qt-1.44/lib$' /etc/ld.so.conf > /etc/ld.so.conf.new 2>/dev/null
  mv /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%files
%defattr(-,root,root,-)
/usr/lib/qt-1.44/lib/libqt.so.%{version}
/usr/lib/qt-1.44/lib/libqt.so.1
/usr/lib/qt-1.44/lib/libqimgio.so.0
/usr/lib/qt-1.44/lib/libqimgio.so.0.1
%doc ANNOUNCE FAQ LICENSE PORTING README README.QT

%files devel
%defattr(-,root,root,-)
/usr/lib/qt-1.44/bin
/usr/lib/qt-1.44/include
/usr/lib/qt-1.44/lib/libqt.so
/usr/lib/qt-1.44/lib/libqimgio.so
%doc html/*

%changelog
* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- don't ship tutorial or example binaries

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- added imageio extension

* Wed Aug 08 1999 Preston Brown <pbrown@redhat.com>
- added documentation to devel package

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- moved things around a bit so that 1.4 isn't default, but it is still
- possible to build things with it when QTDIR is set properly.

* Wed Jul 14 1999 Preston Brown <pbrown@redhat.com>
- stripped original qt-1.x spec file to bare minimum for compat. library

* Sat Apr 17 1999 Preston Brown <pbrown@redhat.com>
- static library supplied in dev package.

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- turn on internal GIF reading support

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- upgrade to qt 1.44.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- moved includes to /usr/include/qt

* Mon Jan 04 1999 Preston Brown <pbrown@redhat.com>
- made setup phase silent.

* Fri Dec 04 1998 Preston Brown <pbrown@redhat.com>
- upgraded to qt 1.42, released today.

* Tue Dec 01 1998 Preston Brown <pbrown@redhat.com>
- took Arnt's RPM and made some minor changes for Red Hat.
